/*
 * NOSA HEADER START
 *
 * The contents of this file are subject to the terms of the NASA Open 
 * Source Agreement (NOSA), Version 1.3 only (the "Agreement").  You may 
 * not use this file except in compliance with the Agreement.
 *
 * You can obtain a copy of the agreement at
 *   docs/NASA_Open_Source_Agreement_1.3.txt
 * or 
 *   http://cdaweb.gsfc.nasa.gov/WebServices/NASA_Open_Source_Agreement_1.3.txt.
 *
 * See the Agreement for the specific language governing permissions
 * and limitations under the Agreement.
 *
 * When distributing Covered Code, include this NOSA HEADER in each
 * file and include the Agreement file at 
 * docs/NASA_Open_Source_Agreement_1.3.txt.  If applicable, add the 
 * following below this NOSA HEADER, with the fields enclosed by 
 * brackets "[]" replaced with your own identifying information: 
 * Portions Copyright [yyyy] [name of copyright owner]
 *
 * NOSA HEADER END
 *
 * Copyright (c) 2011 United States Government as represented by 
 * the National Aeronautics and Space Administration. No copyright is 
 * claimed in the United States under Title 17, U.S.Code. All Other 
 * Rights Reserved.
 *
 * $Id: DnDListModel.java,v 1.3 2011/03/18 10:24:14 bharris Exp $
 */
package gsfc.spdf.edit.guis;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.Vector;

/**
 *
 * @author rchimiak
 */
public class DnDListModel extends javax.swing.AbstractListModel{
    
    ArrayList  items = new ArrayList();
    
    /** Creates a new instance of DnDListModel */
    public DnDListModel(){
        
        super();
       
    
    }
    
  
    
    public int getSize() {
        
      return items.size();  
    }
    
    public Object getElementAt(int index) {
        
        return items.get(index);
    }
    
    public boolean isEmpty() {
        
        return items.isEmpty();
    }
    
    public void add(String item){
        
        items.add( item );
        this.fireContentsChanged( this, 0, this.items.size() - 1 );
    }
/**
   * Inserts a collection of items before the specified index
   */
  public void insertItems( int index, Collection objects )
  {
    // Handle the case where the items are being added to the end of the list
    if( index == -1 )
    {
      // Add the items
      for( Iterator i = objects.iterator(); i.hasNext(); )
      {
        String item = ( String )i.next();
       
        items.add( item );
      }
    }
    else
    {
      // Insert the items
      for( Iterator i = objects.iterator(); i.hasNext(); )
      {
        String item = ( String )i.next();
        items.add( index++, item );
      }
    }

 // Tell the list to update itself
 this.fireContentsChanged( this, 0, this.items.size() - 1 );
  }
  
  public int indexOf(String name){
      
      return items.indexOf(name);
  }
  
  public void remove(String name){
      
       items.remove(name);
       this.fireContentsChanged( this, 0, this.items.size() - 1 );
  }
 
  public void add(int idx, Object name){
      
      items.add(idx, name);
      this.fireContentsChanged( this, 0, this.items.size() - 1 );
  }

  public void itemsMoved( int newIndex, int[] indicies )
  {
    // Copy the objects to a temporary ArrayList
    ArrayList objects = new ArrayList();
    for( int i=0; i<indicies.length; i++ )
    {
      objects.add( this.items.get( indicies[ i ] ) );
    }

    // Delete the objects from the list
    for( int i=indicies.length-1; i>=0; i-- )
    {
      this.items.remove( indicies[ i ] );
    }

    // Insert the items at the new location
    insertItems( newIndex, objects );
  }
  }
